Project

General

Profile

Tâche #9001

Distribution EOLE - Scénario #9020: Débogage de Upgrade-Auto

Upgrade-Auto d'un Amon 2.3 vers un Amon 2.4 ne fonctionne pas

Added by Laurent HAEFFELE over 6 years ago. Updated over 6 years ago.

Status:
Fermé
Priority:
Haut
Assigned To:
Start date:
10/03/2014
Due date:
% Done:

100%

Estimated time:
6.00 h
Spent time:
Remaining (hours):
0.0

Description

J'ai tenté une migration Amon 2.3 vers 2.4 via Update-Auto sur une
machine de test.
Après avoir mis à jour le Amon 2.3 en version candidate, j'ai lancé le
Upgrade-Auto et voici les erreurs que j'ai rencontré :

Tout au début de la procédure :

Mise à jour des listes de paquets ... ###########################################################
W: Erreur de GPG : http://eole.ac-dijon.fr eole-2.4.0 Release : Les
signatures suivantes n'ont pas pu être vérifiées car la clé publique
n'est pas disponible : NO_PUBKEY 6AC6E5D64E78A3F5
W: Erreur de GPG : http://eole.ac-dijon.fr eole-2.4.0-security Release
: Les signatures suivantes n'ont pas pu être vérifiées car la clé
publique n'est pas disponible : NO_PUBKEY 6AC6E5D64E78A3F5
W: Erreur de GPG : http://eole.ac-dijon.fr eole-2.4.0-updates Release
: Les signatures suivantes n'ont pas pu être vérifiées car la clé
publique n'est pas disponible : NO_PUBKEY 6AC6E5D64E78A3F5 ###########################################################

A la fin, il plante avec le message d'erreur suivant : ###########################################################
E: Impossible d'effectuer la configuration immédiate de «
python2.7-minimal ». Veuillez consulter la page de manuel apt.conf(5)
et notamment la section à propos de APT::Immediate-Configure, pour
plus d'informations. (2)
run-parts: /tmp/Upgrade-Auto-29655/upgrade/pre_upgrade/05-libwww-perl
exited with return code 100 ###########################################################

upgrade_auto.txt View (55.3 KB) Laurent HAEFFELE, 09/25/2014 11:52 AM

Associated revisions

Revision 69779180 (diff)
Added by Joël Cuissinat over 6 years ago

Correction pour l'Upgrade d'Amon en i386

  • pre_upgrade/00-common : mise à jour forcée de libstdc++6

Fixes: #9001 @1h

History

#1 Updated by Joël Cuissinat over 6 years ago

  • Parent task set to #9002

#2 Updated by Joël Cuissinat over 6 years ago

  • Start date deleted (09/25/2014)
  • Estimated time set to 6.00 h
  • Parent task changed from #9002 to #9020
  • Remaining (hours) set to 6.0

Étrange au milieu du fichier on voit le même message que celui de #8498 !

#3 Updated by Joël Cuissinat over 6 years ago

  • Status changed from Nouveau to En cours
  • Start date set to 10/03/2014

#4 Updated by Joël Cuissinat over 6 years ago

  • Assigned To set to Joël Cuissinat
  • Remaining (hours) changed from 6.0 to 3.0

Comme indiqué sur la liste j'avais reproduit le problème mais depuis tous nos tests d'Upgrade-Auto avec le module Amon ont réussi !

Je relance une nouvelle fois la procédure...

#5 Updated by Joël Cuissinat over 6 years ago

  • Status changed from En cours to Ne sera pas résolu
  • Remaining (hours) changed from 3.0 to 0.0

Upgrade-Auto OK réalisé moins de 30 minutes :

real    28m22.164s
user    5m58.770s
sys    1m19.290s

Dans l'attente de nouveaux cas d'erreur :(

#6 Updated by Laurent HAEFFELE over 6 years ago

Sans vouloir insister, chez moi j'arrive à reproduire le problème dans 100% des cas. J'ai même essayé avec la variante standard (des fois que ce soit un problème lié à un package supplémentaire ...).

Ma procédure de test est la suivante :
Installation d'un Amon 2.3 à partir du CD 2.3.11
  1. network_zephir
  2. Maj-Auto -i -E
  3. enregistrement_zephir
  4. instance zephir.eol
  5. Upgrade-Auto

#7 Updated by Joël Cuissinat over 6 years ago

Laurent HAEFFELE a écrit :

Sans vouloir insister, chez moi j'arrive à reproduire le problème dans 100% des cas. J'ai même essayé avec la variante standard (des fois que ce soit un problème lié à un package supplémentaire ...).

Ma procédure de test est la suivante :
Installation d'un Amon 2.3 à partir du CD 2.3.11
  1. network_zephir
  2. Maj-Auto -i -E
  3. enregistrement_zephir
  4. instance zephir.eol
  5. Upgrade-Auto

C'est vrai que nos deniers tests ont été effectués depuis 2.3.13 ça peut changer quelque chose...

#8 Updated by Laurent HAEFFELE over 6 years ago

Joël Cuissinat a écrit :

C'est vrai que nos deniers tests ont été effectués depuis 2.3.13 ça peut changer quelque chose...

Vos tests sont fait à partir d'une 2.3.13 sans MAJ ?
Si on a tous les deux effectuer un Maj-Auto -E, cela ne devrait rien changer, ou bien ?

#9 Updated by Joël Cuissinat over 6 years ago

Laurent HAEFFELE a écrit :

Joël Cuissinat a écrit :

C'est vrai que nos deniers tests ont été effectués depuis 2.3.13 ça peut changer quelque chose...

Vos tests sont fait à partir d'une 2.3.13 sans MAJ ?
Si on a tous les deux effectuer un Maj-Auto -E, cela ne devrait rien changer, ou bien ?

A un paquet prêt il est possible qu'un effet de bord puisse apparaître...
L'architecture peut jouer également... Vos serveurs sont installés avec l'ISO i386 ou amd64 ?
Le paquet creole doit être en version creole 2.3-eole186
J'effectue également des tests de mon côté.

#10 Updated by Joël Cuissinat over 6 years ago

  • Status changed from Ne sera pas résolu to En cours

#11 Updated by Joël Cuissinat over 6 years ago

Le message suivant à l'étape pre_upgrade/00-common annonce le plantage à venir :

*E: Couldn't configure pre-depend multiarch-support for libnih-dbus1, probably a dependency cycle.*

En tout cas, il existe un contournement : en installant le paquet libc6-dev, ça ne plante plus.

#12 Updated by Joël Cuissinat over 6 years ago

  • % Done changed from 0 to 50
  • Remaining (hours) changed from 0.0 to 3.0

#13 Updated by Joël Cuissinat over 6 years ago

  • Remaining (hours) changed from 3.0 to 2.0

libstdc++6 en tire un tout petit peu moins (mais installe gcc-4.6-base malgré tout) et l'Upgrade fonctionne aussi, je propose donc de l'ajouter au bout de la fameuse ligne :

yes "Oui, faites ce que je vous dis !" | /usr/bin/apt-get --purge install -q --force-yes --assume-yes --no-install-recommends xz-lzma

#14 Updated by Fabrice Barconnière over 6 years ago

  • Status changed from En cours to Nouveau

#15 Updated by Joël Cuissinat over 6 years ago

  • Status changed from Nouveau to Résolu
  • % Done changed from 50 to 100

#16 Updated by Joël Cuissinat over 6 years ago

  • Remaining (hours) changed from 2.0 to 0.5

Paquet candidat : creole (2.3-eole187~10.gbpc5f297).

#17 Updated by Gilles Grandgérard over 6 years ago

  • Status changed from Résolu to Fermé
  • Remaining (hours) changed from 0.5 to 0.0

Also available in: Atom PDF